package CRSDK;

@SuppressWarnings("unused")
public enum CrShutterModeStatus {
    CrShutterModeStatus_Off (0x01),
    CrShutterModeStatus_Speed (CrShutterModeStatus_Off.getValue() + 1),
    CrShutterModeStatus_Angle (CrShutterModeStatus_Off.getValue() + 2),
    CrShutterModeStatus_ECS (CrShutterModeStatus_Off.getValue() + 3),
    CrShutterModeStatus_Auto (CrShutterModeStatus_Off.getValue() + 4);

    private final CrInt8u value;
    CrShutterModeStatus(int value) {
        this.value = new CrInt8u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
